unit FMX_try;

interface

uses
  {$IFDEF MSWINDOWS}
   Winapi.ShellAPI,Winapi.Windows,
  {$ENDIF}

  {$IFDEF MACOS}
  Posix.Stdlib,
  {$ENDIF}

  {$IFDEF LINUX64}
  Posix.Stdlib,
  {$ENDIF}

  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.Controls.Presentation, FMX.StdCtrls,
  FMX.Objects, FMX.Menus, FMX.ScrollBox, FMX.Memo, FMX.Layouts, FMX.ListBox, FMX.ExtCtrls;



type
  TForm_Main = class(TForm)
    Memo: TMemo;
    DropTarget: TDropTarget;
    procedure DropTargetDragOver(Sender: TObject; const Data: TDragObject; const Point: TPointF; var Operation: TDragOperation);
    procedure DropTargetDropped(Sender: TObject; const Data: TDragObject; const Point: TPointF);



  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_Main: TForm_Main;

implementation


{$R *.fmx}


procedure TForm_Main.DropTargetDragOver(Sender: TObject; const Data: TDragObject; const Point: TPointF; var Operation: TDragOperation);
begin
  Operation := TDragOperation.Link;
end;


procedure TForm_Main.DropTargetDropped(Sender: TObject; const Data: TDragObject; const Point: TPointF);
Var S,Drag_FileName:  String;

begin
  Memo.Text:='';
  Memo.BeginUpdate;

  For S In Data.Files Do
    Begin
      Drag_FileName:=StringReplace(S,'%20',' ',[rfReplaceAll]);
      Memo.Lines.Add(Drag_FileName);
    End;

  Memo.EndUpdate;
end;

end.
